﻿body {
    padding-top: 0.1em;
    padding-bottom: 0.1em;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    color: #212529;
    width: 100%;
    height: 100%;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}


/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}

.baseFontColor {
    color: #1c386d;
}

.error-label {
    color: red;
}

/*#pannMenu .jqx-tabs-headerWrapper, #simulationMenu .jqx-tabs-headerWrapper {
    height: 32px !important;
}

#pannMenu .jqx-tabs-headerWrapper ul, #simulationMenu .jqx-tabs-headerWrapper ul{
    height: 32px !important;
}

.jqx-tabs-headerWrapper, .jqx-tabs-headerWrapper ul {
    height: 25px !important;
}

 .jqx-tabs-headerWrapper ul li {
    height: calc(100% - 12px) !important;
 }*/

#pannMenu .vo_icon, #simulationMenu .vo_icon {
    width: 14px !important;
    height: 14px !important;
}

.jqx-tabs-headerWrapper, .jqx-tabs-headerWrapper ul {
    height: 25px !important;
}

.jqx-tabs-headerWrapper ul li {
    height: calc(100% - 12px) !important;
}


.jqx-tabs-titleContentWrapper img {
    vertical-align: top !important;
}

.GECP_Panel .jqx-tabs-headerWrapper ul li, #formPanel .jqx-tabs-headerWrapper ul li {
    height: 22px !important;
}

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }
}
@media screen and (-webkit-min-device-pixel-ratio: 1.5), screen and (min-resolution: 144dpi) {
    .jqx-tabs-headerWrapper ul li {
        height: calc(100% - 11.5px) !important;
    }
}

.footerfix {
    height: 3rem;
}

footer {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 1rem;
    text-align: center;
    color: #1c386d;
    background-color: transparent;
}

/*Following css required to ensure that in modal windows grid column filter menu is displayed correctly*/
.jqx-menu-wrapper {
    z-index: 1850 !important;
}

.jqx-calendar td {
    font-size: 11px;
}

.jqx-input-content {
    font-size: 10px;
}

.jqx-notification-container {
    z-index: 999999;
}

.windowContent {
    position: relative;
    padding: 0;
    overflow: hidden;
}

.windowBody {
    box-sizing: border-box;
    position: absolute;
    width: 100%;
    height: 100%;
    padding-bottom: 30px;    
}

.windowFooter {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 30px;
}

.vo_screenMask {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background-color: gray;
    opacity: 0.3;
    filter: alpha(opacity=10);
    visibility: hidden;
}

.vo_dialogStyle {
    overflow: hidden;
    overflow-y: hidden;
    height: 80%;
    width: 80%;
    position: absolute;
    background-color: white;
    z-index: 9999999;
    margin: 5% 10% 10% 10%;
}

.vo_dialogFrame {
    overflow: hidden;
    overflow-y: hidden;
    top: 1px;
    z-index: 9999999;
    left: 1px;
    height: 100%;
    width: 100%;
}

.vo_icon {
    width: 18px;
    height: 18px;
}

.vo_dialogIcon {
    width: 20px;
    height: 20px;
    float:left;
}

.vo_closeDialogIcon {
    width: 20px;
    height: 20px;
    float: right;
}

.vo_CancelButton {
    height: 22px;
    width: 70px;
    cursor: pointer;
    border-radius: 5px;
    border: 1px solid;
    padding-top: -5px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.vo_OkButton {
    height: 22px;
    width: 70px;
    cursor: pointer;
    font-family:Calibri;
    font-size:12px;
    border-radius: 4px;
    border: 1px solid;
    padding-top: -5px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    .vo_OkButton:hover {
        background-color: #e6fff3;
        border: 2px solid;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }
    .vo_CrudIcon {
        width: 20px;
        height: 20px;
        cursor: pointer;
    }

.vo_CrudIcon:hover {
    background-image: none;
    background-color: #D0D6DA;
}

.jqx-tabs-title {
    border-top-style: groove;
    border-top-color: #DDDDDD;
    border-left-style: groove;
    border-left-color: #DDDDDD;
    border-right-style: groove;
    border-right-color: #EEEEEE;
}

.jqx-tabs-title-selected-top {
    border-top-style: groove;
    border-top-color: #888888;
    border-left-style: groove;
    border-left-color: #888888;
    border-right-style: groove;
    border-right-color: #888888;
}

.jqx-tabs-titleContentWrapper {
    padding-top: 2px;
    margin-left: -3px;
    margin-right: -3px;
}

.jqx-widget-content {
    font-size: 11px
}

#dropdownlistContentselectUnitOfMeasure .jqx-widget-content {
    font-size: 14px !important;
}
.jqx-listitem-element {
    font-size: 14px !important;
}


hr {
    margin: 0;
    border-top: 1px solid black;
}

/* JqxWindow custom header */
div[data-id="jqxModal"] .jqx-window-header {
    background-color: #3c8dbc !important; /* nice blue */
    color: #fff !important;
    font-weight: bold;
    font-size: 14px;
    padding: 6px 10px;
}

/* Window content area */
div[data-id="jqxModal"] .jqx-window-content {
    font-size: 13px;
    color: #333;
    /*display: flex;*/
    flex-direction: column;
    justify-content: space-between;
}

/* Message text */
#jqxConfirmMessage {
    text-align: center;
    font-size: 14px;
    margin: 20px 0;
}

/* Buttons container */
div[data-id="jqxButtons"] {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
}

/* Buttons */
button[name="jqxConfirm"]{
    min-width: 80px;
}
/* Message text */
#divLookupGrid {
    text-align: center;
    font-size: 14px;
    margin: 20px 0;
}

/* Buttons container */
#divButtons {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
}


.form-row {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}

.form-row label {
    width: 120px;       /* fixed width for labels */
    margin-right: 10px; /* spacing between label and input */
    text-align: right;
}

.form-row input {
    flex: 1;            /* input takes remaining space */
}



#logMainJqxWindow {
    max-width: none !important;
    /*width: 500px;*/
    /*height: 250px;*/
    /*width: 100% !important;*/
}

    #logMainJqxWindow .jqx-window-content {
        width: 100% !important;
    }

.window-btn:disabled {
    opacity: 0.4;
    cursor: not-allowed;
}
   
/* Docking styles */
.docked-top {
    top: 0;
    left: 0;
    right: 0;
    width: 100% !important;
}

.docked-left {
    top: 0;
    left: 0;
    width:500px !important;
   /* width: 300px;
    height: 100%;*/
}

.docked-bottom {
    bottom: 0;
    left: 0;
    right: 0;
    width: 83.33333333% !important;
}

/* Tool buttons inside titlebar */
.window-btn {
    background: transparent;
    border: none;
    cursor: pointer;
    /*margin-left: 5px;*/
    font-size: 14px;
}

    .window-btn:hover {
        color: #0078D7;
    }

@keyframes blink {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.3;
    }

    100% {
        opacity: 1;
    }
}

.blinking {
    animation: blink 1s ease-in-out infinite;
    color: blue !important;
    font-style: italic !important;
}

#jqxValidation #windowTools {
 visibility:hidden !important;
}

.blinkImage {
    animation: blinkColor 1s infinite;
}

@keyframes blinkColor {
    0% {
        opacity: 1;
        color: #ff0000;
    }

    50% {
        opacity: 0.2;
        color: #ff9900;
    }

    100% {
        opacity: 1;
        color: #ff0000;
    }
}
